<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of TwittAk Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# TwittAk Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# TwittAk Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with TwittAk Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
$m_version = $core->plugins->moduleInfo('twittak','version');
 
$i_version = $core->getVersion('twittak');
 
if (version_compare($i_version,$m_version,'>=')) {
	return;
}
 
# Création des setting (s'ils existent, ils ne seront pas écrasés)
$settings = new dcSettings($core,null);
$settings->addNameSpace('twittak');
$settings->twittak->put('twittak_base_url','http://twitter.com','string','Twitter base URL',false,true);
$settings->twittak->put('twittak_enabled',false,'boolean','Enable TwittAk tweets page',false,true);
$settings->twittak->put('twittak_show_twitter_link',true,'boolean','Show link to Twitter page',false,true);
$settings->twittak->put('twittak_account','','string','Twitter ID for TwittAk tweets page',false,true);
$settings->twittak->put('twittak_page_size',20,'integer','Page size for TwittAk tweets page',false,true);

$core->setVersion('twittak',$m_version);
?>